diff --git a/KitchenSink/Resources/examples/table_view_refresh.js b/KitchenSink/Resources/examples/table_view_refresh.js
index f91a08a..5c1df91 100644
--- a/KitchenSink/Resources/examples/table_view_refresh.js
+++ b/KitchenSink/Resources/examples/table_view_refresh.js
@@ -1,7 +1,7 @@
 var win = Ti.UI.currentWindow;
 
 var tv = Ti.UI.createTableView({
-	style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
+	style:Titanium.UI.iPhone.TableViewStyle.GROUPED
 });
 
 function setData()
@@ -14,13 +14,13 @@ function setData()
 		row.add(l1);
 		var image1 = Ti.UI.createImageView({url:'../images/chat.png', right:5,height:23, width:29});
 		row.add(image1);
-		data.push(row)
+		data.push(row);
 	}
 	tv.setData(data);
 }
 
 var refresh = Titanium.UI.createButton({
-	systemButton:Titanium.UI.iPhone.SystemButton.REFRESH,
+	systemButton:Titanium.UI.iPhone.SystemButton.REFRESH
 });
 refresh.addEventListener('click', function()
 {
@@ -28,7 +28,7 @@ refresh.addEventListener('click', function()
 	setTimeout(function()
 	{
 		setData();
-	},1000)
+	},1000);
 });
 
 if (Ti.Platform.name == 'iPhone OS') {
diff --git a/KitchenSink/Resources/examples/table_view_row_append.js b/KitchenSink/Resources/examples/table_view_row_append.js
index a29cc66..88820af 100644
--- a/KitchenSink/Resources/examples/table_view_row_append.js
+++ b/KitchenSink/Resources/examples/table_view_row_append.js
@@ -19,7 +19,7 @@ var newSectionCount = 1;
 // create table view event listener
 tableview.addEventListener('click', function(e)
 {
-	Ti.API.info('clicked received for row ' + e.index)
+	Ti.API.info('clicked received for row ' + e.index);
 	// event data
 	var index = e.index;
 	var section = e.section;
@@ -35,22 +35,22 @@ tableview.addEventListener('click', function(e)
 		//     width:200
 		// });
 		// row.add(l);
-		var data = {title:'New Row ' + newRowCount, header:'New Header '+newSectionCount};
+		var newData = {title:'New Row ' + newRowCount, header:'New Header '+newSectionCount};
 
-		tableview.appendRow(data)
+		tableview.appendRow(newData);
 		newSectionCount++;
 		newRowCount++;
 	}
 	else if (index == 3)
 	{
-		var data = {title:'New Row ' + newRowCount};
+		var newData3 = {title:'New Row ' + newRowCount};
 		if (newRowCount == 1)
 		{
-			tableview.appendRow(data);
+			tableview.appendRow(newData3);
 		}
 		else
 		{
-			tableview.appendRow(data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});
+			tableview.appendRow(newData3,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});
 		}
 		newRowCount++;				
 	}
diff --git a/KitchenSink/Resources/examples/table_view_row_insert.js b/KitchenSink/Resources/examples/table_view_row_insert.js
index 65b6347..e05759b 100644
--- a/KitchenSink/Resources/examples/table_view_row_insert.js
+++ b/KitchenSink/Resources/examples/table_view_row_insert.js
@@ -31,39 +31,31 @@ tableView.addEventListener('click', function(e)
 	switch(e.rowData.title)
 	{
 		case 'Insert Row Above (no anim)':
-		{
-			var row = Ti.UI.createTableViewRow();
+			var rowAbove = Ti.UI.createTableViewRow();
 			var label = Ti.UI.createLabel({text:'New Row Object Row'});
-			row.add(label)
-			tableView.insertRowBefore(0,row);				
+			rowAbove.add(label);
+			tableView.insertRowBefore(0,rowAbove);
 			break;
-		}
+
 		case 'Insert Row Below - 1':
-		{
-			var row = tableView.getIndexByName('3');
+			var rowBelow = tableView.getIndexByName('3');
 			data = {title:'New Row After Row3'};
-			tableView.insertRowAfter(row,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
+			tableView.insertRowAfter(rowBelow,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
 			break;
-		}
+
 		case 'Insert Row Below - 2':
-		{
-			var row = tableView.getIndexByName('7');
+			var row2 = tableView.getIndexByName('7');
 			data = {title:'New Row After Row7'};
-			tableView.insertRowAfter(row,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
-
+			tableView.insertRowAfter(row2,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
 			break;
-		}
 		
 		case 'Insert Row w/o animation (below)':
-		{
-			var row = tableView.getIndexByName('3');
+			var rowNA = tableView.getIndexByName('3');
 			data = {title:'New Row After Row3 w/o animation'};
-			tableView.insertRowAfter(row,data);
+			tableView.insertRowAfter(rowNA,data);
 			tableView.scrollToIndex(3,{position:Titanium.UI.iPhone.TableViewScrollPosition.MIDDLE,animated:false});
 			break;
-		}
 	}
-	
 });
 
 win.add(tableView);
diff --git a/KitchenSink/Resources/examples/table_view_row_update.js b/KitchenSink/Resources/examples/table_view_row_update.js
index 49c0dcb..8df320c 100644
--- a/KitchenSink/Resources/examples/table_view_row_update.js
+++ b/KitchenSink/Resources/examples/table_view_row_update.js
@@ -27,42 +27,31 @@ tableView.addEventListener('click',function(e)
 	switch(e.index)
 	{
 		case 0:
-		{
 			var data = {title:'New Row 1 Title', header:'New Section Header'};
 			tableView.updateRow(0,data);				
 			break;
-		}
+
 		case 1:
-		{
 			var row = tableView.getIndexByName('row2');
 			data = {title:'New Row2',name:'row2'};
 			tableView.updateRow(row,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.RIGHT});
-
 			break;
-		}
+
 		case 2:
-		{
 			data = {title:'New Row3'};
 			tableView.updateRow(2,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.LEFT});
 			break;
-		}
+
 		case 3:
-		{
 			data = {title:'New Row4'};
 			tableView.updateRow(3,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
 			break;
-		}
 
 		case 4:
-		{
 			data = {title:'I am a title'};
 			tableView.updateRow(4,data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
 			break;
-		}
-		
 	}
-
-	
 });
 
 win.add(tableView);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/table_view_section_header.js b/KitchenSink/Resources/examples/table_view_section_header.js
index aebe190..3333147 100644
--- a/KitchenSink/Resources/examples/table_view_section_header.js
+++ b/KitchenSink/Resources/examples/table_view_section_header.js
@@ -2,7 +2,7 @@
 //  This is a test that is meant to verify that a row object can have a header 
 //  and the table view has no table view header - the header should be displayed
 
-var win = Titanium.UI.currentWindow
+var win = Titanium.UI.currentWindow;
 
 var inputData = [
 	{title:'row 1', header:'Header 1'},
diff --git a/KitchenSink/Resources/examples/table_view_set.js b/KitchenSink/Resources/examples/table_view_set.js
index fae6941..f499a14 100644
--- a/KitchenSink/Resources/examples/table_view_set.js
+++ b/KitchenSink/Resources/examples/table_view_set.js
@@ -30,39 +30,35 @@ tableView.addEventListener('click',function(e)
 	switch(e.index)
 	{
 		case 0:
-		{
-			var data = [];
+			var data0 = [];
 			for (var c=0;c<10;c++)
 			{
 				var row = Ti.UI.createTableViewRow();
 				row.title = "Row "+ (c+1);
 				row.hasCheck = true;
 				row.backgroundColor = '#aaa';
-				data[c]=row;
+				data0[c]=row;
 			}
 			tableView.separatorStyle = Ti.UI.iPhone.TableViewSeparatorStyle.NONE;
-			tableView.setData(data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.NONE});				
+			tableView.setData(data0,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.NONE});
 			break;
-		}
+
 		case 1:
-		{
-			var data = [
+			var data1 = [
 				{title:'Set TableView 1',hasDetail:true, image:'Phone.png'},
 				{title:'Set TableView 2', hasChild:true, image:'Safari.png'},
 				{title:'Set TableView 3', image:'iTunes.png'},
 				{title:'Row 4', image:'Mail.png'},
 				{title:'Row 5', image:'Mail.png'},
 				{title:'Row 7', image:'Mail.png'}
-
 			];
 			tableView.separatorStyle = Ti.UI.iPhone.TableViewSeparatorStyle.SINGLE_LINE;
 			tableView.separatorColor = null;
-			tableView.setData(data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
+			tableView.setData(data1,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.DOWN});
 			break;
-		}
+
 		case 2:
-		{
-			var data = [
+			var data2 = [
 				{title:'Set TableView 1'},
 				{title:'Set TableView 2'},
 				{title:'Set TableView 3'},
@@ -72,16 +68,12 @@ tableView.addEventListener('click',function(e)
 				{title:'Row 7'},
 				{title:'Row 8'},
 				{title:'Row 9'}
-
 			];
 			tableView.separatorStyle = Ti.UI.iPhone.TableViewSeparatorStyle.SINGLE_LINE;
 			tableView.separatorColor = "red";
-			tableView.setData(data,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.UP});
+			tableView.setData(data2,{animationStyle:Titanium.UI.iPhone.RowAnimationStyle.UP});
 			break;
-		}
-		
 	}
-		
 });
 
 win.add(tableView);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/table_view_textfield.js b/KitchenSink/Resources/examples/table_view_textfield.js
index 79f85bd..e4641dd 100644
--- a/KitchenSink/Resources/examples/table_view_textfield.js
+++ b/KitchenSink/Resources/examples/table_view_textfield.js
@@ -8,7 +8,7 @@ function addRow(addTextArea)
 	{
 		tf1 = Titanium.UI.createTextArea({
 			color:'#336699',
-			width:250,
+			width:250
 		});	
 		
 	}
@@ -37,10 +37,13 @@ var data = [];
 for (var x=0;x<10;x++)
 {
 	if (x==9)
+	{
 		data[x] = addRow(true);
+	}
 	else
+	{
 		data[x] = addRow();
-	
+	}
 }
 
 var tableView = Ti.UI.createTableView({
@@ -49,6 +52,6 @@ var tableView = Ti.UI.createTableView({
 });
 win.addEventListener('focus', function()
 {
-	Ti.API.info('window focus fired')
-})
+	Ti.API.info('window focus fired');
+});
 win.add(tableView);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/table_view_touch.js b/KitchenSink/Resources/examples/table_view_touch.js
index ac3a9d5..b48a3a1 100644
--- a/KitchenSink/Resources/examples/table_view_touch.js
+++ b/KitchenSink/Resources/examples/table_view_touch.js
@@ -19,7 +19,7 @@ for (var x=0;x<4;x++)
 
 // create table view
 var tableview = Titanium.UI.createTableView({
-	data:data,
+	data:data
 });
 
 tableview.addEventListener('touchstart', function(e)
diff --git a/KitchenSink/Resources/examples/table_views.js b/KitchenSink/Resources/examples/table_views.js
index 33a7a9c..5dc9697 100644
--- a/KitchenSink/Resources/examples/table_views.js
+++ b/KitchenSink/Resources/examples/table_views.js
@@ -29,7 +29,7 @@ var data = [
 	{title:'Refresh Table View', hasChild:true, test:'../examples/table_view_refresh.js'},
 	{title:'Composite (Partial Size)', hasChild:true, test:'../examples/table_view_composite.js'},
 	{title:'Table View (Layout)', hasChild:true, test:'../examples/table_view_layout.js'},
-	{title:'Table View (Layout 2)', hasChild:true, test:'../examples/table_view_layout_2.js'},
+	{title:'Table View (Layout 2)', hasChild:true, test:'../examples/table_view_layout_2.js'}
 ];
 
 // add iphone specific tests
diff --git a/KitchenSink/Resources/examples/textfield_therest.js b/KitchenSink/Resources/examples/textfield_therest.js
index 484d228..c677279 100644
--- a/KitchenSink/Resources/examples/textfield_therest.js
+++ b/KitchenSink/Resources/examples/textfield_therest.js
@@ -123,33 +123,28 @@ b6.addEventListener('click', function()
 	switch (auto)
 	{
 		case 0:
-		{
 			tf1.autocapitalization = Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE;
 			b6.title = 'Capital (none)';
 			auto++;
 			break;
-		}
+
 		case 1:
-		{
 			tf1.autocapitalization = Titanium.UI.TEXT_AUTOCAPITALIZATION_WORDS;
 			b6.title = 'Capital (words)';
 			auto++;
 			break;
-		}
+
 		case 2:
-		{
 			tf1.autocapitalization = Titanium.UI.TEXT_AUTOCAPITALIZATION_SENTENCES;
 			b6.title = 'Capital (sent.)';
 			auto++;
 			break;
-		}
+
 		case 3:
-		{
 			tf1.autocapitalization = Titanium.UI.TEXT_AUTOCAPITALIZATION_ALL;
 			b6.title = 'Capital (all)';
-			auto=0
+			auto=0;
 			break;
-		}
 	}
 });
 win.add(b6);
@@ -164,39 +159,34 @@ var b7 = Titanium.UI.createButton({
 var clear =0;
 b7.addEventListener('click', function()
 {
-	Ti.API.info('clearButtonMode ' + tf1.clearButtonMode)
+	Ti.API.info('clearButtonMode ' + tf1.clearButtonMode);
 	
 	switch (clear)
 	{
 		case 0:
-		{
 			tf1.clearButtonMode = Titanium.UI.INPUT_BUTTONMODE_ALWAYS;
 			b7.title = 'Clear Button (A)';
 			clear++;
 			break;
-		}
+
 		case 1:
-		{
 			b7.title = 'Clear Button (N)';
 			tf1.clearButtonMode = Titanium.UI.INPUT_BUTTONMODE_NEVER;
 			clear++;
 			break;
-		}
+
 		case 2:
-		{
 			b7.title = 'Clear Button (F)';
 			tf1.clearButtonMode = Titanium.UI.INPUT_BUTTONMODE_ONFOCUS;
 			clear++;
 			break;
-		}
+
 		case 3:
-		{
 			b7.title = 'Clear Button (B)';
 			tf1.clearButtonMode = Titanium.UI.INPUT_BUTTONMODE_ONBLUR;
-			clear=0
+			clear=0;
 			break;
-		}
-	}	
+	}
 });
 win.add(b7);
 
@@ -213,34 +203,30 @@ b8.addEventListener('click', function()
 	switch (align)
 	{
 		case 0:
-		{
 			tf1.textAlign = 'left';
 			tf1.value = 'text align left, marker 10 bold';
 			tf1.font = {fontSize:10,fontFamily:'Marker Felt', fontWeight:'bold'};
 			align++;
 			break;
-		}
+
 		case 1:
-		{
 			tf1.textAlign = 'center';
 			tf1.value = 'text align center, arial 12';
 			tf1.font = {fontSize:12,fontFamily:'Arial', fontWeight:'normal'};
 			align++;
 			break;
-		}
+
 		case 2:
-		{
 			tf1.textAlign = 'right';
 			tf1.value = 'text align right, hel 14';
 			tf1.font = {fontSize:14,fontFamily:'Helvetica', fontWeight:'bold'};
 			align=0;
 			break;
-		}
-	}	
+	}
 });
 win.add(b8);
 
-var b8 = Titanium.UI.createButton({
+var b9 = Titanium.UI.createButton({
 	title:'Vertical Align',
 	height:40,
 	width:145,
@@ -248,37 +234,32 @@ var b8 = Titanium.UI.createButton({
 	top:255
 });
 var vAlign =0;
-b8.addEventListener('click', function()
+b9.addEventListener('click', function()
 {
 	switch (vAlign)
 	{
 		case 0:
-		{
 			tf1.verticalAlign = 'top';
-			b8.title = 'Vertical Align (T)';
+			b9.title = 'Vertical Align (T)';
 			vAlign++;
 			break;
-		}
+
 		case 1:
-		{
 			tf1.verticalAlign = 'middle';
-			b8.title = 'Vertical Align (M)';
+			b9.title = 'Vertical Align (M)';
 			vAlign++;
 			break;
-		}
+
 		case 2:
-		{
 			tf1.verticalAlign = 'bottom';
-			b8.title = 'Vertical Align (B)';
+			b9.title = 'Vertical Align (B)';
 			vAlign=0;
 			break;
-		}
-
 	}
 });
 win.add(b8);
 
-var b9 = Titanium.UI.createButton({
+var b10 = Titanium.UI.createButton({
 	title:'Allow resizing',
 	height:40,
 	width:145,
@@ -287,7 +268,7 @@ var b9 = Titanium.UI.createButton({
 });
 
 var resizing = false;
-b9.addEventListener('click', function()
+b10.addEventListener('click', function()
 {
 	if (!resizing) {
 		tf1.minimumFontSize = 8;
@@ -298,7 +279,7 @@ b9.addEventListener('click', function()
 		resizing = false;
 	}
 });
-win.add(b9);
+win.add(b10);
 
 var l = Titanium.UI.createLabel({
 	text:'Click buttons to toggle properties',
diff --git a/KitchenSink/Resources/examples/twitter.js b/KitchenSink/Resources/examples/twitter.js
index e14d431..a186d18 100644
--- a/KitchenSink/Resources/examples/twitter.js
+++ b/KitchenSink/Resources/examples/twitter.js
@@ -9,109 +9,6 @@ var twitter_name = 'appcelerator';
 var win = Ti.UI.currentWindow;
 win.title = '@'+twitter_name;
 
-
-function getTweets(screen_name){
-
-	// create table view data object
-	var data = [];
-	
-	var xhr = Ti.Network.createHTTPClient();
-	xhr.timeout = 1000000;	
-	xhr.open("GET","http://api.twitter.com/1/statuses/user_timeline.json?screen_name="+screen_name);
-
-	xhr.onload = function()
-	{
-		try
-		{
-			var tweets = eval('('+this.responseText+')');
-		
-			for (var c=0;c<tweets.length;c++){
-
-				var tweet = tweets[c].text;				
-				var user = tweets[c].user.screen_name;
-				var avatar = tweets[c].user.profile_image_url;
-				var created_at = prettyDate(strtotime(tweets[c].created_at));
-				var bgcolor = (c % 2) == 0 ? '#fff' : '#eee';
-				
-				var row = Ti.UI.createTableViewRow({hasChild:true,height:'auto',backgroundColor:bgcolor});
-
-				// Create a vertical layout view to hold all the info labels and images for each tweet
-				var post_view = Ti.UI.createView({
-					height:'auto',
-					layout:'vertical',
-					left:5,
-					top:5,
-					bottom:5,
-					right:5,
-				});
-				
-				var av = Ti.UI.createImageView({
-						image:avatar,
-						left:0,
-						top:0,
-						height:48,
-						width:48
-					});
-				// Add the avatar image to the view
-				post_view.add(av);
-
-				var user_label = Ti.UI.createLabel({
-					text:user,
-					left:54,
-					width:120,
-					top:-48,
-					bottom:2,
-					height:16,
-					textAlign:'left',
-					color:'#444444',
-					font:{fontFamily:'Trebuchet MS',fontSize:14,fontWeight:'bold'}
-				});
-				// Add the username to the view
-				post_view.add(user_label);
-				
-				var date_label = Ti.UI.createLabel({
-					text:created_at,
-					right:0,
-					top:-18,
-					bottom:2,
-					height:14,
-					textAlign:'right',
-					width:110,
-					color:'#444444',
-					font:{fontFamily:'Trebuchet MS',fontSize:12}
-				});
-				// Add the date to the view
-				post_view.add(date_label);
-			
-				var tweet_text = Ti.UI.createLabel({
-					text:tweet,
-					left:54,
-					top:0,
-					bottom:2,
-					height:'auto',
-					width:236,
-					textAlign:'left',
-					font:{fontSize:14}
-				});
-				// Add the tweet to the view
-				post_view.add(tweet_text);
-				// Add the vertical layout view to the row
-				row.add(post_view);
-				row.className = 'item'+c;
-				data[c] = row;
-			}
-			// Create the tableView and add it to the window.
-			var tableview = Titanium.UI.createTableView({data:data,minRowHeight:58});
-			Ti.UI.currentWindow.add(tableview);
-		}
-		catch(E){
-			alert(E);
-		}
-	};
-	// Get the data
-	xhr.send();	
-}
-
 function strtotime (str, now) {
 	// Emlulates the PHP strtotime function in JavaScript
  	// obtained from http://phpjs.org/functions/strtotime:554
@@ -305,5 +202,108 @@ function prettyDate(time){
 	day_diff < 7 && day_diff + " days ago" ||
 	day_diff < 31 && Math.ceil( day_diff / 7 ) + " week" + ((Math.ceil( day_diff / 7 )) == 1 ? "" : "s") + " ago";
 }
+
+function getTweets(screen_name) {
+
+	// create table view data object
+	var data = [];
+
+	var xhr = Ti.Network.createHTTPClient();
+	xhr.timeout = 1000000;
+	xhr.open("GET","http://api.twitter.com/1/statuses/user_timeline.json?screen_name="+screen_name);
+
+	xhr.onload = function()
+	{
+		try
+		{
+			var tweets = eval('('+this.responseText+')');
+
+			for (var c=0;c<tweets.length;c++){
+
+				var tweet = tweets[c].text;
+				var user = tweets[c].user.screen_name;
+				var avatar = tweets[c].user.profile_image_url;
+				var created_at = prettyDate(strtotime(tweets[c].created_at));
+				var bgcolor = (c % 2) == 0 ? '#fff' : '#eee';
+
+				var row = Ti.UI.createTableViewRow({hasChild:true,height:'auto',backgroundColor:bgcolor});
+
+				// Create a vertical layout view to hold all the info labels and images for each tweet
+				var post_view = Ti.UI.createView({
+					height:'auto',
+					layout:'vertical',
+					left:5,
+					top:5,
+					bottom:5,
+					right:5
+				});
+
+				var av = Ti.UI.createImageView({
+						image:avatar,
+						left:0,
+						top:0,
+						height:48,
+						width:48
+					});
+				// Add the avatar image to the view
+				post_view.add(av);
+
+				var user_label = Ti.UI.createLabel({
+					text:user,
+					left:54,
+					width:120,
+					top:-48,
+					bottom:2,
+					height:16,
+					textAlign:'left',
+					color:'#444444',
+					font:{fontFamily:'Trebuchet MS',fontSize:14,fontWeight:'bold'}
+				});
+				// Add the username to the view
+				post_view.add(user_label);
+
+				var date_label = Ti.UI.createLabel({
+					text:created_at,
+					right:0,
+					top:-18,
+					bottom:2,
+					height:14,
+					textAlign:'right',
+					width:110,
+					color:'#444444',
+					font:{fontFamily:'Trebuchet MS',fontSize:12}
+				});
+				// Add the date to the view
+				post_view.add(date_label);
+
+				var tweet_text = Ti.UI.createLabel({
+					text:tweet,
+					left:54,
+					top:0,
+					bottom:2,
+					height:'auto',
+					width:236,
+					textAlign:'left',
+					font:{fontSize:14}
+				});
+				// Add the tweet to the view
+				post_view.add(tweet_text);
+				// Add the vertical layout view to the row
+				row.add(post_view);
+				row.className = 'item'+c;
+				data[c] = row;
+			}
+			// Create the tableView and add it to the window.
+			var tableview = Titanium.UI.createTableView({data:data,minRowHeight:58});
+			Ti.UI.currentWindow.add(tableview);
+		}
+		catch(E){
+			alert(E);
+		}
+	};
+	// Get the data
+	xhr.send();
+}
+
 // Get the tweets for 'twitter_name'
 getTweets(twitter_name);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/version.js b/KitchenSink/Resources/examples/version.js
index da9e42c..0abbdb0 100644
--- a/KitchenSink/Resources/examples/version.js
+++ b/KitchenSink/Resources/examples/version.js
@@ -6,9 +6,9 @@ function isIPhone3_2_Plus()
 	// add iphone specific tests
 	if (Titanium.Platform.name == 'iPhone OS')
 	{
-		var version = Titanium.Platform.version.split(".");
-		var major = parseInt(version[0]);
-		var minor = parseInt(version[1]);
+		var version = Titanium.Platform.version.split('.');
+		var major = parseInt(version[0], 10);
+		var minor = parseInt(version[1], 10);
 		
 		// can only test this support on a 3.2+ device
 		if (major > 3 || (major == 3 && minor > 1))
@@ -24,8 +24,8 @@ function isiOS4Plus()
 	// add iphone specific tests
 	if (Titanium.Platform.name == 'iPhone OS')
 	{
-		var version = Titanium.Platform.version.split(".");
-		var major = parseInt(version[0]);
+		var version = Titanium.Platform.version.split('.');
+		var major = parseInt(version[0], 10);
 		
 		// can only test this support on a 3.2+ device
 		if (major >= 4)
diff --git a/KitchenSink/Resources/examples/views.js b/KitchenSink/Resources/examples/views.js
index b551700..9d9634e 100644
--- a/KitchenSink/Resources/examples/views.js
+++ b/KitchenSink/Resources/examples/views.js
@@ -11,7 +11,7 @@ var data = [
 	{title:'Remove Views', hasChild:true, test:'../examples/remove_views.js'},
 	{title:'zIndex', hasChild:true, test:'../examples/views_zindex.js'},
     {title:'Email Dialog', hasChild:true, test:'../examples/email_dialog.js'},
-	{title:'Map View', hasChild:true, test:'../examples/map_view.js'},
+	{title:'Map View', hasChild:true, test:'../examples/map_view.js'}
 
 ];
 
diff --git a/KitchenSink/Resources/examples/views_zindex.js b/KitchenSink/Resources/examples/views_zindex.js
index d4d79d5..119ae9f 100644
--- a/KitchenSink/Resources/examples/views_zindex.js
+++ b/KitchenSink/Resources/examples/views_zindex.js
@@ -84,4 +84,4 @@ var l2 = Ti.UI.createLabel({
 	font:{fontSize:12}
 });
 
-win.add(l2)
\ No newline at end of file
+win.add(l2);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/web_views.js b/KitchenSink/Resources/examples/web_views.js
index f283c5e..c87f870 100644
--- a/KitchenSink/Resources/examples/web_views.js
+++ b/KitchenSink/Resources/examples/web_views.js
@@ -58,7 +58,7 @@ tableview.addEventListener('click', function(e)
 	];
 
 	var webview = null;
-	if (rowdata.auto ==true)
+	if (rowdata.auto)
 	{
 		webview = Ti.UI.createWebView({height:'auto',width:'auto'});
 	}
@@ -207,7 +207,7 @@ tableview.addEventListener('click', function(e)
 		w.add(webview);
 		
 
-		function hideToolbar(e)
+		var hide = function(e)
 		{
 			Ti.API.info('received hidetoolbar event, foo = ' + e.foo);
 			if (Titanium.Platform.name == 'iPhone OS') {
@@ -217,9 +217,9 @@ tableview.addEventListener('click', function(e)
 					w.remove(toolbar);
 				}
 			}
-		}
+		};
 		// hide toolbar for local web view
-		Ti.App.addEventListener('webview_hidetoolbar', hideToolbar);
+		Ti.App.addEventListener('webview_hidetoolbar', hide);
 		
 		w.addEventListener('close',function(e)
 		{
@@ -227,7 +227,7 @@ tableview.addEventListener('click', function(e)
 			
 			// remove our global app event listener from this specific
 			// window instance when the window is closed
-			Ti.App.removeEventListener('webview_hidetoolbar',hideToolbar);
+			Ti.App.removeEventListener('webview_hidetoolbar',hide);
 		});
 		win.tab.open(w);		
 	}
diff --git a/KitchenSink/Resources/examples/webview_repaint.js b/KitchenSink/Resources/examples/webview_repaint.js
index 4fd16fd..ede6ce3 100644
--- a/KitchenSink/Resources/examples/webview_repaint.js
+++ b/KitchenSink/Resources/examples/webview_repaint.js
@@ -2,7 +2,7 @@ var win = Ti.UI.currentWindow;
 
 var webView = Ti.UI.createWebView({
 	url:'webview_repaint_source.html',
-	height:'auto',
+	height:'auto'
 	
 });
 
@@ -12,7 +12,7 @@ win.add(webView);
 var bb1 = Titanium.UI.createButtonBar({
 	labels:['+', '-'],
 	backgroundColor:'#336699',
-	style:Titanium.UI.iPhone.SystemButtonStyle.BAR,
+	style:Titanium.UI.iPhone.SystemButtonStyle.BAR
 });
 
 win.rightNavButton = bb1;
@@ -32,4 +32,4 @@ bb1.addEventListener('click', function(e)
 		Ti.App.fireEvent('fontchange', {amount:size});
 		webView.repaint();
 	}
-})
\ No newline at end of file
+});
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/window_events.js b/KitchenSink/Resources/examples/window_events.js
index 1f9f5a3..be99346 100644
--- a/KitchenSink/Resources/examples/window_events.js
+++ b/KitchenSink/Resources/examples/window_events.js
@@ -257,7 +257,7 @@ win.addEventListener('blur', function()
 	var date = formatTime();
 	Titanium.App.Properties.setString('window_blur_event',  date);
 	blurLabel.text = 'Blur fired ' + date;
-	Ti.API.info('BLUR fired in window')
+	Ti.API.info('BLUR fired in window');
 });
 
 win.addEventListener('touchstart', function(e)
diff --git a/KitchenSink/Resources/examples/window_standalone.js b/KitchenSink/Resources/examples/window_standalone.js
index 8457170..2c58a25 100644
--- a/KitchenSink/Resources/examples/window_standalone.js
+++ b/KitchenSink/Resources/examples/window_standalone.js
@@ -112,7 +112,7 @@ b3.addEventListener('click', function()
 		backgroundColor:'#336699',
 		title:'Modal Window',
 		barColor:'black',
-		url:'vibrate.js',
+		url:'vibrate.js'
 	});
 	var b = Titanium.UI.createButton({
 		title:'Close',
diff --git a/KitchenSink/Resources/examples/window_toolbar.js b/KitchenSink/Resources/examples/window_toolbar.js
index 5440137..027dfdb 100644
--- a/KitchenSink/Resources/examples/window_toolbar.js
+++ b/KitchenSink/Resources/examples/window_toolbar.js
@@ -127,7 +127,7 @@ var b7 = Titanium.UI.createButton({
 	title:'Button With Image',
 	height:40,
 	width:200,
-	top:260,
+	top:260
 });
 b7.addEventListener('click', function()
 {
@@ -148,7 +148,7 @@ var b8 = Titanium.UI.createButton({
 	title:'Set Label',
 	height:40,
 	width:200,
-	top:310,
+	top:310
 });
 
 b8.addEventListener('click', function()
diff --git a/KitchenSink/Resources/examples/xhr_cookie.js b/KitchenSink/Resources/examples/xhr_cookie.js
index 9a8b6bd..62caabd 100644
--- a/KitchenSink/Resources/examples/xhr_cookie.js
+++ b/KitchenSink/Resources/examples/xhr_cookie.js
@@ -57,8 +57,8 @@ var gReader =
 		var MyRequest = Ti.Network.createHTTPClient(); 
 		MyRequest.open('GET', requestUrl);
 		MyRequest.onerror = function(e) {
-			Ti.API.info("Error: " + e.error);
-			label.text = "Error: " + e.error + "; (Http status " + this.status + ")";
+			Ti.API.info('Error: ' + e.error);
+			label.text = 'Error: ' + e.error + '; (Http status ' + this.status + ')';
 			navActInd.hide();
 		};
 		MyRequest.onload = function() 
@@ -66,12 +66,12 @@ var gReader =
 			try
 			{ 
 				var results = this.responseText; 
-				Ti.API.info("Request result: "+results);
-				var tokens = results.split("\n");
+				Ti.API.info('Request result: '+results);
+				var tokens = results.split('\n');
 				for (var c=0;c<tokens.length;c++)
 				{
 					var token = tokens[c];
-					var kv = token.split("=");
+					var kv = token.split('=');
 					if (kv[0]=='SID')
 					{
 						gReader.Sid = kv[1];
@@ -86,7 +86,7 @@ var gReader =
 			{ 
 				Ti.API.info('>>>>>>> Error In getSid ' + err ); 
 				navActInd.hide();
-				label.text="Failed: "+err;
+				label.text='Failed: '+err;
 			} 
 		};
 		MyRequest.send(); 
@@ -105,18 +105,18 @@ var gReader =
 			{ 
 				var results = this.responseText; 
 				gReader.Token=results; 
-								
-				label.text = /^[a-zA-Z0-9-]+$/.test(gReader.Token) ? ("Passed: "+results) : ("Failed: "+results);
+				var re = new RegExp('^[a-zA-Z0-9-]+$');
+				label.text = re.test(gReader.Token) ? ('Passed: '+results) : ('Failed: '+results);
 			} 
 			catch(err) { 
 				Ti.API.info('>>>>>>> Error In getToken ' + err ); 
-				label.text="Failed: "+err;
+				label.text='Failed: '+err;
 			} 
 		};
-		var requestCookies = "SID=" + gReader.Sid; 
-		var authorization = "GoogleLogin auth=" + gReader.Auth;
-		tokenRequest.setRequestHeader("Cookie", requestCookies); 
-		tokenRequest.setRequestHeader("Authorization", authorization);
+		var requestCookies = 'SID=' + gReader.Sid;
+		var authorization = 'GoogleLogin auth=' + gReader.Auth;
+		tokenRequest.setRequestHeader('Cookie', requestCookies);
+		tokenRequest.setRequestHeader('Authorization', authorization);
 		tokenRequest.send(); 
 	}, 
 	connect : function(username,password)
@@ -145,7 +145,7 @@ scrollView.add(label);
 
 button.addEventListener('click', function()
 {
-	label.text = "Testing Cookie";
+	label.text = 'Testing Cookie';
 	navActInd.show();
 	password.blur();
 	gReader.connect(username.value,password.value);
diff --git a/KitchenSink/Resources/examples/xhr_filedownload.js b/KitchenSink/Resources/examples/xhr_filedownload.js
index f308632..6599993 100644
--- a/KitchenSink/Resources/examples/xhr_filedownload.js
+++ b/KitchenSink/Resources/examples/xhr_filedownload.js
@@ -53,7 +53,7 @@ b1.addEventListener('click', function()
 	};
 	c.onerror = function(e)
 	{
-		Ti.API.info('XHR Error ' + e.error)
+		Ti.API.info('XHR Error ' + e.error);
 	};
 	
 	// open the client
diff --git a/KitchenSink/Resources/examples/xhr_settimeout.js b/KitchenSink/Resources/examples/xhr_settimeout.js
index 8fd5d4c..52167c4 100644
--- a/KitchenSink/Resources/examples/xhr_settimeout.js
+++ b/KitchenSink/Resources/examples/xhr_settimeout.js
@@ -25,44 +25,44 @@ win.add(button1);
 var withData = false;
 button1.addEventListener('click', function()
 {
+  // use any ip address that is not on the network
+  var notExistIP = 'http://192.168.1.23';
+
 	if (!withData)
 	{
 		withData=true;
-		label1.text = 'sending with data'
+		label1.text = 'sending with data';
 
-		var xhr = Ti.Network.createHTTPClient();
-		xhr.setTimeout(30000);
-		var start;
-		xhr.onload = function()
+		var xhrData = Ti.Network.createHTTPClient();
+		xhrData.setTimeout(30000);
+		var startData;
+		xhrData.onload = function()
 		{
 		    label1.text = 'Received the response.';
 		};
 
-		xhr.onerror = function(e)
+		xhrData.onerror = function(e)
 		{
 		    var now = new Date();
-		    var time = (((now - start) / 1000) | 0);
-		    label1.text = 'Registered error: time passed = ' + (now-start) + ' seconds';
-			Ti.API.info('error ' + e.error)
+		    var time = (((now - startData) / 1000) | 0);
+		    label1.text = 'Registered error: time passed = ' + (now-startData) + ' seconds';
+			Ti.API.info('error ' + e.error);
 		};
 
-		// use any ip address that is not on the network
-		var notExistIP = 'http://192.168.1.23';
-
 		// use any unreachable IP address
-		xhr.open('GET',notExistIP);
-		start = new Date();
+		xhrData.open('GET',notExistIP);
+		startData = new Date();
 		var data = {
 		    value1: 'value1',
 		    value2: 'value2'
 		};
 
-		xhr.send(data);
+		xhrData.send(data);
 	}
 	else
 	{
 		withData=false;
-		label1.text = 'sending without data'
+		label1.text = 'sending without data';
 		var xhr = Ti.Network.createHTTPClient();
 		xhr.setTimeout(30000);
 		var start;
@@ -76,13 +76,10 @@ button1.addEventListener('click', function()
 		    var now = new Date();
 		    var time = (((now - start) / 1000) | 0);
 		    label1.text = 'Registered error: time passed = ' + (now-start) + ' seconds';
-			Ti.API.info('error ' + e.error)
+			Ti.API.info('error ' + e.error);
 		
 		};
 
-		// use any ip address that is not on the network
-		var notExistIP = 'http://192.168.1.23';
-
 		// use any unreachable IP address
 		xhr.open('GET',notExistIP);
 		start = new Date();
